com.gisgraphy.webapp.action

## Class GeocodingByTextAction

- java.lang.Object
- - com.opensymphony.xwork2.ActionSupport
  - - com.gisgraphy.webapp.action.SearchAction
    - - com.gisgraphy.webapp.action.GeocodingByTextAction

- All Implemented Interfaces:
    com.opensymphony.xwork2.Action, com.opensymphony.xwork2.LocaleProvider, com.opensymphony.xwork2.TextProvider, com.opensymphony.xwork2.Validateable, com.opensymphony.xwork2.ValidationAware, Serializable

      public class GeocodingByTextAction
      extends SearchAction

  fulltext search Action
  Author:
    David Masclet
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.gisgraphy.webapp.action.SearchAction

      `DEFAULT_NUMBER_OF_RESULTS_PER_PAGE, errorMessage, POPUP_VIEW`

    - ### Fields inherited from class com.opensymphony.xwork2.ActionSupport

      `LOG`

    - ### Fields inherited from interface com.opensymphony.xwork2.Action

      `ERROR, INPUT, LOGIN, NONE, SUCCESS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GeocodingByTextAction()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAddress()`
    `com.gisgraphy.addressparser.AddressResultsDto` | `getAddressResultsDto()`
    `List<Country>` | `getCountries()`
    `String` | `getCountry()`
    `com.gisgraphy.serializer.common.OutputFormat[]` | `getFormats()`
    `Boolean` | `getStructured()`
    `String` | `getStyle()`
    `boolean` | `isAutosubmit()`
    `boolean` | `isDisplayResults()`
    `String` | `search()` Execute a fulltextSearch from the request parameters
    `String` | `searchpopup()` Execute a fulltextSearch from the request parameters
    `void` | `setAdress(String address)`
    `void` | `setAutosubmit(boolean autosubmit)`
    `void` | `setCountry(String country)`
    `void` | `setCountryDao(CountryDao countryDao)`
    `void` | `setGeocodingService(com.gisgraphy.geocoding.IGeocodingService geocodingService)`
    `void` | `setStructured(Boolean structured)`

    - ### Methods inherited from class com.gisgraphy.webapp.action.SearchAction

      `getDefaultNumberOfResultsPerPage, getErrorMessage, getFormat, getFrom, getPlacetypes, getTo, isAdvancedSearch, isIndent, setAdvancedSearch, setFormat, setFrom, setIndent, setTo`

    - ### Methods inherited from class com.opensymphony.xwork2.ActionSupport

      `addActionError, addActionMessage, addFieldError, clearActionErrors, clearErrors, clearErrorsAndMessages, clearFieldErrors, clearMessages, clone, doDefault, execute, getActionErrors, getActionMessages, getErrorMessages, getErrors, getFieldErrors, getLocale, getText, getText, getText, getText, getText, getText, getText, getText, getText, getTexts, getTexts, hasActionErrors, hasActionMessages, hasErrors, hasFieldErrors, hasKey, input, pause, setActionErrors, setActionMessages, setFieldErrors, validate`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GeocodingByTextAction

          public GeocodingByTextAction()

  - ### Method Detail

    - #### isDisplayResults

          public boolean isDisplayResults()

      Returns:
        Wether the search has been done and the results should be displayed

    - #### search

          public String search()
                        throws Exception

      Execute a fulltextSearch from the request parameters
      Returns:
        SUCCESS if the search is successfull
      Throws:
        `Exception` - in case of errors

    - #### searchpopup

          public String searchpopup()
                             throws Exception

      Execute a fulltextSearch from the request parameters
      Returns:
        POPUPVIEW if the search is successfull The view will not be decorated by sitemesh (see decorators.xml)
      Throws:
        `Exception` - in case of errors

    - #### getCountries

          public List<Country> getCountries()

      Returns:
        the available countries

    - #### getFormats

          public com.gisgraphy.serializer.common.OutputFormat[] getFormats()

      Returns:
        the available formats for fulltext search

    - #### setCountry

          public void setCountry(String country)

      Parameters:
        `country` - the country parameter to set

    - #### setAdress

          public void setAdress(String address)

      Parameters:
        `address` - the address to set

    - #### getCountry

          public String getCountry()

      Returns:
        the country

    - #### getStyle

          public String getStyle()

      Returns:
        the style

    - #### getAddress

          public String getAddress()

      Returns:
        the address to parse

    - #### setCountryDao

          public void setCountryDao(CountryDao countryDao)

      Parameters:
        `countryDao` - the countryDao to set

    - #### getAddressResultsDto

          public com.gisgraphy.addressparser.AddressResultsDto getAddressResultsDto()

      Returns:
        the response

    - #### isAutosubmit

          public boolean isAutosubmit()

      Returns:
        the autosubmit

    - #### setAutosubmit

          public void setAutosubmit(boolean autosubmit)

      Parameters:
        `autosubmit` - the autosubmit to set

    - #### setGeocodingService

          public void setGeocodingService(com.gisgraphy.geocoding.IGeocodingService geocodingService)

    - #### getStructured

          public Boolean getStructured()

    - #### setStructured

          public void setStructured(Boolean structured)

Copyright © 2015. All rights reserved.